package com.product.center.manage.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.product.center.manage.common.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 【请填写功能名称】对象 center_policy_syn_conf
 *
 * @author ruoyi
 * @date 2022-09-22
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName("center_policy_syn_conf")
public class CenterPolicySynConf extends GenSequenceId {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id",  type = IdType.AUTO)
    private Long id;

    /** 渠道 */
    @Excel(name = "渠道")
    private String channel;

    /** 渠道同步url */
    @Excel(name = "渠道同步url")
    private String uri;

    /** 配置别名称 */
    @Excel(name = "配置别名称")
    private String aliasName;

    /** 上次同步保单表时间 */
    @Excel(name = "上次同步保单表时间")
    private Integer lastSynPolicyId;

    /** aes加密key */
    @Excel(name = "aes加密key")
    private String aesKey;

    /** 0 关闭 1 开启 */
    @Excel(name = "0 关闭 1 开启")
    private Integer isOpen;

    private String remark;

    private String signKey;

    private Date createTime;


}
