package com.product.center.manage.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.product.center.manage.common.annotation.Excel;
import com.product.center.manage.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 center_policy_syn_log
 *
 * @author ruoyi
 * @date 2022-09-22
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName("center_policy_syn_log")
public class CenterPolicySynLog extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 保单同步配置表主键 */
    @Excel(name = "保单同步配置表主键")
    private Long confId;

    /** 保单订单号 */
    @Excel(name = "保单订单号")
    private String orderNo;

    /** 渠道 */
    @Excel(name = "渠道")
    private String channel;

    /** 同步状态 0 成功 1 失败 */
    @Excel(name = "同步状态 0 成功 1 失败")
    private Integer synState;

    /** 同步失败处理状态 */
    @Excel(name = "同步失败处理状态")
    private Integer synFailHanState;

    /** 接口返回报文 */
    @Excel(name = "接口返回报文")
    private String resMsg;


}
