package com.product.center.manage.service.impl;

import java.util.List;
import com.product.center.manage.common.utils.DateUtils;
import com.product.center.manage.domain.CenterPolicySynLog;
import com.product.center.manage.mapper.CenterPolicySynLogMapper;
import com.product.center.manage.service.ICenterPolicySynLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.product.center.manage.common.core.text.Convert;

/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author ruoyi
 * @date 2022-09-22
 */
@Service
public class CenterPolicySynLogServiceImpl implements ICenterPolicySynLogService
{
    @Autowired
    private CenterPolicySynLogMapper centerPolicySynLogMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public CenterPolicySynLog selectCenterPolicySynLogById(Long id)
    {
        return centerPolicySynLogMapper.selectCenterPolicySynLogById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param centerPolicySynLog 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<CenterPolicySynLog> selectCenterPolicySynLogList(CenterPolicySynLog centerPolicySynLog)
    {
        return centerPolicySynLogMapper.selectCenterPolicySynLogList(centerPolicySynLog);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param centerPolicySynLog 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertCenterPolicySynLog(CenterPolicySynLog centerPolicySynLog)
    {
        centerPolicySynLog.setCreateTime(DateUtils.getNowDate());
        return centerPolicySynLogMapper.insertCenterPolicySynLog(centerPolicySynLog);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param centerPolicySynLog 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateCenterPolicySynLog(CenterPolicySynLog centerPolicySynLog)
    {
        return centerPolicySynLogMapper.updateCenterPolicySynLog(centerPolicySynLog);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteCenterPolicySynLogByIds(String ids)
    {
        return centerPolicySynLogMapper.deleteCenterPolicySynLogByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteCenterPolicySynLogById(Long id)
    {
        return centerPolicySynLogMapper.deleteCenterPolicySynLogById(id);
    }
}
