package com.product.center.manage.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.product.center.manage.common.exception.base.BaseException;
import com.product.center.manage.common.utils.DateUtils;
import com.product.center.manage.domain.CenterPolicySynConf;
import com.product.center.manage.mapper.CenterPolicySynConfMapper;
import com.product.center.manage.service.ICenterPolicySynConfService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.product.center.manage.common.core.text.Convert;

/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author ruoyi
 * @date 2022-09-22
 */
@Service
public class CenterPolicySynConfServiceImpl implements ICenterPolicySynConfService
{
    @Autowired
    private CenterPolicySynConfMapper centerPolicySynConfMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public CenterPolicySynConf selectCenterPolicySynConfById(Long id)
    {
        return centerPolicySynConfMapper.selectCenterPolicySynConfById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param centerPolicySynConf 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<CenterPolicySynConf> selectCenterPolicySynConfList(CenterPolicySynConf centerPolicySynConf) {

        List<CenterPolicySynConf> centerPolicySynConfs = centerPolicySynConfMapper.selectCenterPolicySynConfList(centerPolicySynConf);
        return centerPolicySynConfs;
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param centerPolicySynConf 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertCenterPolicySynConf(CenterPolicySynConf centerPolicySynConf) {
        LambdaQueryWrapper<CenterPolicySynConf> lqw = Wrappers.lambdaQuery();
        lqw.eq(true,CenterPolicySynConf::getUri,centerPolicySynConf.getUri());
        Integer count = centerPolicySynConfMapper.selectCount(lqw);
        if(count == 0){
            int insert = centerPolicySynConfMapper.insert(centerPolicySynConf);
            return insert;
        }else {
            throw new BaseException("url已配置");
        }
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param centerPolicySynConf 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateCenterPolicySynConf(CenterPolicySynConf centerPolicySynConf)
    {
        return centerPolicySynConfMapper.updateCenterPolicySynConf(centerPolicySynConf);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteCenterPolicySynConfByIds(String ids)
    {
        return centerPolicySynConfMapper.deleteCenterPolicySynConfByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteCenterPolicySynConfById(Long id)
    {
        return centerPolicySynConfMapper.deleteCenterPolicySynConfById(id);
    }
}
