package com.product.center.manage.utils;

import cn.hutool.crypto.Mode;
import cn.hutool.crypto.Padding;
import cn.hutool.crypto.symmetric.AES;

import javax.crypto.spec.IvParameterSpec;
import javax.crypto.spec.SecretKeySpec;
import java.nio.charset.StandardCharsets;

/**
 * @author ：fxl
 * @date ：Created in 2022/9/28 9:42
 * @description：
 */
public class AesUtil {


    private static final String IV_KEY = "0000000000000000";

    /**
     * 加密方法
     * @param data
     * @param aesKey
     * @return
     */
    public static String encryptFromString(String data, String aesKey) {
        AES aes = new AES(Mode.CBC, Padding.ZeroPadding,
                new SecretKeySpec(aesKey.getBytes(), "AES"),
                new IvParameterSpec(IV_KEY.getBytes()));
        return aes.encryptBase64(data, StandardCharsets.UTF_8);
    }


    /**
     * 解密方法
     * @param data
     * @param aesKey
     * @return
     */
    public static String decryptFromString(String data, String aesKey) {
        AES aes = new AES(Mode.CBC, Padding.ZeroPadding,
                new SecretKeySpec(aesKey.getBytes(), "AES"),
                new IvParameterSpec(IV_KEY.getBytes()));
        byte[] decryptDataBase64 = aes.decrypt(data);
        return new String(decryptDataBase64, StandardCharsets.UTF_8);
    }
}
