package com.product.center.manage;

import cn.hutool.crypto.Mode;
import cn.hutool.crypto.Padding;
import cn.hutool.crypto.symmetric.AES;
import org.junit.Test;

import javax.crypto.spec.IvParameterSpec;
import javax.crypto.spec.SecretKeySpec;
import java.nio.charset.StandardCharsets;

/**
 * @author ：fxl
 * @date ：Created in 2022/9/26 10:06
 * @description：
 */
public class TestMain {



    @Test
    public void test01(){

        String encryptData = encryptFromString("凯森数据中台", "1234567812345678");
        System.out.println("加密：" + encryptData);
        String decryptData = decryptFromString(encryptData, "1234567812345678");
        System.out.println("解密：" + decryptData);

    }

    private static final String IV_KEY = "0000000000000000";

    /**
     * 加密方法
     * @param data
     * @param aesKey
     * @return
     */
    public static String encryptFromString(String data, String aesKey) {
        AES aes = new AES(Mode.CBC, Padding.ZeroPadding,
                new SecretKeySpec(aesKey.getBytes(), "AES"),
                new IvParameterSpec(IV_KEY.getBytes()));
        return aes.encryptBase64(data, StandardCharsets.UTF_8);
    }


    /**
     * 解密方法
     * @param data
     * @param aesKey
     * @return
     */
    public static String decryptFromString(String data, String aesKey) {
        AES aes = new AES(Mode.CBC, Padding.ZeroPadding,
                new SecretKeySpec(aesKey.getBytes(), "AES"),
                new IvParameterSpec(IV_KEY.getBytes()));
        byte[] decryptDataBase64 = aes.decrypt(data);
        return new String(decryptDataBase64, StandardCharsets.UTF_8);
    }


}



